import { Observable } from 'rxjs';
import { PlayerMethods, StateChange, PlaybackQuality, PlayerState, PlayerOptions } from '../domain';
import { EventsRegistry } from './events-registry/events-registry';
import { YtPlayerWrapperService } from './yt-player-wrapper/yt-player-wrapper.service';
export declare class YtPlayerService implements PlayerMethods {
    private ytPlayerWrapper;
    private eventsRegistry;
    get stateChange$(): Observable<StateChange>;
    get destroyed(): boolean;
    get videoId(): string;
    private get player();
    private set player(value);
    private ytPlayer;
    private playerOptions;
    constructor(ytPlayerWrapper: YtPlayerWrapperService, eventsRegistry: EventsRegistry);
    init(htmlId: string, playerOptions?: PlayerOptions): void;
    load(videoId: string): void;
    play(): void;
    pause(): void;
    stop(): void;
    seek(seconds: number): void;
    setVolume(value: number): void;
    getVolume(): number;
    mute(): void;
    unMute(): void;
    isMuted(): boolean;
    setSize(width: number, height: number): void;
    setPlaybackRate(rate: number): void;
    setPlaybackQuality(sugestedQuality: PlaybackQuality): void;
    getPlaybackRate(): number;
    getAvailablePlaybackRates(): number[];
    getDuration(): number;
    getBufferingProgress(): number;
    getState(): PlayerState;
    getCurrentTime(): number;
    destroy(): void;
    private setUpPlayer;
}
