import { EventEmitter } from 'events';
export declare class YouTubePlayer extends EventEmitter {
    videoId: string;
    destroyed: boolean;
    private _id;
    private _opts;
    private _api;
    private _autoplay;
    private _player;
    private _ready;
    private _queue;
    private _interval;
    private _start;
    private get _window();
    constructor(element: any, opts: any);
    load(videoId: any, autoplay?: boolean, start?: number): void;
    play(): void;
    pause(): void;
    stop(): void;
    seek(seconds: any): void;
    setVolume(volume: any): void;
    getVolume(): any;
    mute(): void;
    unMute(): void;
    isMuted(): any;
    setSize(width: any, height: any): void;
    setPlaybackRate(rate: any): void;
    setPlaybackQuality(suggestedQuality: any): void;
    getPlaybackRate(): any;
    getAvailablePlaybackRates(): any;
    getDuration(): any;
    getProgress(): any;
    getState(): any;
    getCurrentTime(): any;
    destroy(): void;
    on(event: string, listener: (...args: any[]) => void): this;
    private _destroy;
    private _queueCommand;
    private _flushQueue;
    private _loadIframeAPI;
    private _createPlayer;
    /**
     * This event fires when the player has finished loading and is ready to begin
     * receiving API calls.
     */
    private _onReady;
    /**
     * Called when the player's state changes. We emit friendly events so the user
     * doesn't need to use YouTube's YT.PlayerState.* event constants.
     */
    private _onStateChange;
    /**
     * This event fires whenever the video playback quality changes. Possible
     * values are: 'small', 'medium', 'large', 'hd720', 'hd1080', 'highres'.
     */
    private _onPlaybackQualityChange;
    /**
     * This event fires whenever the video playback rate changes.
     */
    private _onPlaybackRateChange;
    /**
     * This event fires if an error occurs in the player.
     */
    private _onError;
    /**
     * This event fires when the time indicated by the `getCurrentTime()` method
     * has been updated.
     */
    private _onTimeupdate;
    private _startInterval;
    private _stopInterval;
}
